Package org.eclipse.graphiti.ui.internal.platform

# Class DiagramTypeImpl

java.lang.Object
org.eclipse.graphiti.platform.AbstractExtension
org.eclipse.graphiti.ui.internal.platform.DiagramTypeImpl

All Implemented Interfaces:
  `IDiagramType`, `IExtension`

public final class DiagramTypeImpl extends AbstractExtension implements IDiagramType

## Constructor Summary

Constructors
Constructor
Description
`DiagramTypeImpl(String id, String name, String description)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the description.
`String`
`getId()`
Gets the id.
`String`
`getName()`
Gets the name.

### Methods inherited from class org.eclipse.graphiti.platform.AbstractExtension

`getProviderId, setProviderId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.platform.IExtension

`getProviderId, setProviderId`

## Constructor Details

### DiagramTypeImpl

public DiagramTypeImpl(String id, String name, String description)

## Method Details

### getDescription

public String getDescription()
Description copied from interface: `IDiagramType`
Gets the description.

Specified by:
  `getDescription` in interface `IDiagramType`
Returns:
  the description of the new diagram type

### getId

public String getId()
Description copied from interface: `IDiagramType`
Gets the id.

Specified by:
  `getId` in interface `IDiagramType`
Returns:
  the id of the new diagram type

### getName

public String getName()
Description copied from interface: `IDiagramType`
Gets the name.

Specified by:
  `getName` in interface `IDiagramType`
Returns:
  the name of the new diagram type